Apache log4cxx Version @version@

Public Member Functions | Protected Attributes | List of all members
Pool Class Reference

`#include <pool.h>`

## Public Member Functions
| Pool ()
| Pool (apr_pool_t *pool, bool release)
| ~Pool ()
apr_pool_t * | getAPRPool ()
apr_pool_t * | create ()
void * | palloc (size_t length)
char * | pstralloc (size_t length)
char * | itoa (int n)
char * | pstrndup (const char *s, size_t len)
char * | pstrdup (const char *s)
char * | pstrdup (const std::string &)

## Protected Attributes
apr_pool_t * | pool
const bool | release

## Constructor & Destructor Documentation

## ◆ Pool() [1/2]

Pool | ( |  | ) |

## ◆ Pool() [2/2]

Pool | ( | apr_pool_t * | pool,
|  | bool | release
| ) |  |

## ◆ ~Pool()

~Pool | ( |  | ) |

## Member Function Documentation

## ◆ create()

apr_pool_t * create | ( |  | ) |

## ◆ getAPRPool()

apr_pool_t * getAPRPool | ( |  | ) |

## ◆ itoa()

char * itoa | ( | int | n | ) |

## ◆ palloc()

void * palloc | ( | size_t | length | ) |

## ◆ pstralloc()

char * pstralloc | ( | size_t | length | ) |

## ◆ pstrdup() [1/2]

char * pstrdup | ( | const char * | s | ) |

## ◆ pstrdup() [2/2]

char * pstrdup | ( | const std::string & |  | ) |

## ◆ pstrndup()

char * pstrndup | ( | const char * | s,
|  | size_t | len
| ) |  |

## Member Data Documentation

## ◆ pool

apr_pool_t* pool
| protected

## ◆ release

const bool release
| protected

The documentation for this class was generated from the following file:

- pool.h